Package fr.gouv.vitam.common.model.unit

# Class ManagementModel

java.lang.Object
fr.gouv.vitam.common.model.unit.ManagementModel

public class ManagementModel extends Object
Management model

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ManagementModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RuleCategoryModel`
  `getAccess()`
  `RuleCategoryModel`
  `getAppraisal()`
  `RuleCategoryModel`
  `getClassification()`
  `RuleCategoryModel`
  `getDissemination()`
  `RuleCategoryModel`
  `getHold()`
  `RuleCategoryModel`
  `getReuse()`
  `RuleCategoryModel`
  `getRuleCategoryModel(String type)`
  Get the rule category model
  `RuleCategoryModel`
  `getStorage()`
  `UpdateOperationModel`
  `getUpdateOperation()`
  `boolean`
  `isEmpty()`
  `Boolean`
  `isNeedAuthorization()`
  `void`
  `setAccess(RuleCategoryModel access)`
  `void`
  `setAppraisal(RuleCategoryModel appraisal)`
  `void`
  `setClassification(RuleCategoryModel classification)`
  `void`
  `setDissemination(RuleCategoryModel dissemination)`
  `ManagementModel`
  `setHold(RuleCategoryModel hold)`
  `void`
  `setNeedAuthorization(Boolean needAuthorization)`
  `void`
  `setReuse(RuleCategoryModel reuse)`
  `void`
  `setRuleCategoryModel(RuleCategoryModel ruleCategoryModel, String type)`
  Set the rule category model
  `void`
  `setStorage(RuleCategoryModel storage)`
  `void`
  `setUpdateOperation(UpdateOperationModel updateOperation)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ManagementModel

    public ManagementModel()

- ## Method Details

  - ### setStorage

    public void setStorage(RuleCategoryModel storage)
    Parameters:
      `storage` -

  - ### getStorage

    public RuleCategoryModel getStorage()
    Returns:
      the storage

  - ### getAppraisal

    public RuleCategoryModel getAppraisal()
    Returns:
      appraisal

  - ### setAppraisal

    public void setAppraisal(RuleCategoryModel appraisal)
    Parameters:
      `appraisal` -

  - ### setAccess

    public void setAccess(RuleCategoryModel access)
    Parameters:
      `access` -

  - ### getAccess

    public RuleCategoryModel getAccess()
    Returns:
      access

  - ### getDissemination

    public RuleCategoryModel getDissemination()
    Returns:
      dissemination

  - ### setDissemination

    public void setDissemination(RuleCategoryModel dissemination)
    Parameters:
      `dissemination` -

  - ### getReuse

    public RuleCategoryModel getReuse()
    Returns:
      reuse

  - ### setReuse

    public void setReuse(RuleCategoryModel reuse)
    Parameters:
      `reuse` -

  - ### getClassification

    public RuleCategoryModel getClassification()
    Returns:
      classification

  - ### setClassification

    public void setClassification(RuleCategoryModel classification)
    Parameters:
      `classification` -

  - ### getHold

    public RuleCategoryModel getHold()

  - ### setHold

    public ManagementModel setHold(RuleCategoryModel hold)

  - ### isNeedAuthorization

    public Boolean isNeedAuthorization()
    Returns:
      needAuthorization

  - ### setNeedAuthorization

    public void setNeedAuthorization(Boolean needAuthorization)
    Parameters:
      `needAuthorization` -

  - ### getUpdateOperation

    public UpdateOperationModel getUpdateOperation()

  - ### setUpdateOperation

    public void setUpdateOperation(UpdateOperationModel updateOperation)

  - ### setRuleCategoryModel

    public void setRuleCategoryModel(RuleCategoryModel ruleCategoryModel, String type)
    Set the rule category model
    Parameters:
      `ruleCategoryModel` - the model
      `type` - the rule category type

  - ### getRuleCategoryModel

    public RuleCategoryModel getRuleCategoryModel(String type)
    Get the rule category model
    Parameters:
      `type` - rule category type
    Returns:
      the Rule category as a `RuleCategoryModel`

  - ### isEmpty

    public boolean isEmpty()